table:
  name: kanban
  schema: scoreboard
object_relationships:
  - name: ctf_challenge
    using:
      manual_configuration:
        column_mapping:
          ctf_challenge_id: challenge_id
        insertion_order: null
        remote_table:
          name: active
          schema: challenges
  - name: event
    using:
      manual_configuration:
        column_mapping:
          event_id: id
        insertion_order: null
        remote_table:
          name: events
          schema: public
  - name: service_status
    using:
      manual_configuration:
        column_mapping:
          check_id: check_id
        insertion_order: null
        remote_table:
          name: service_status
          schema: scoreboard
  - name: team
    using:
      manual_configuration:
        column_mapping:
          team_id: id
        insertion_order: null
        remote_table:
          name: teams
          schema: public
array_relationships:
  - name: comments
    using:
      foreign_key_constraint_on:
        column: task_id
        table:
          name: kanban_comments
          schema: scoreboard
  - name: task_logs
    using:
      foreign_key_constraint_on:
        column: kanban_task_id
        table:
          name: kanban_task_log
          schema: scoreboard
remote_relationships:
  - definition:
      to_remote_schema:
        lhs_fields:
          - assignee_id
        remote_field:
          c2games_user_by_pk:
            arguments:
              id: $assignee_id
        remote_schema: keycloak
    name: assignee
  - definition:
      to_remote_schema:
        lhs_fields:
          - created_by
        remote_field:
          c2games_user_by_pk:
            arguments:
              id: $created_by
        remote_schema: keycloak
    name: created_by_user
insert_permissions:
  - role: _participant
    permission:
      check:
        _and:
          - event:
              teams:
                team:
                  members:
                    user_id:
                      _eq: x-hasura-user-id
          - team:
              members:
                user_id:
                  _eq: x-hasura-user-id
      columns:
        - assignee_id
        - check_id
        - created_at
        - created_by
        - ctf_challenge_id
        - description
        - event_id
        - id
        - status
        - team_id
        - title
  - role: _staff
    permission:
      check: {}
      columns:
        - description
        - status
        - title
        - created_at
        - assignee_id
        - check_id
        - created_by
        - ctf_challenge_id
        - event_id
        - id
        - team_id
    comment: ""
select_permissions:
  - role: _participant
    permission:
      columns:
        - assignee_id
        - check_id
        - created_at
        - created_by
        - ctf_challenge_id
        - description
        - event_id
        - id
        - status
        - team_id
        - title
      filter:
        _and:
          - event:
              teams:
                team:
                  members:
                    user_id:
                      _eq: x-hasura-user-id
          - team:
              members:
                user_id:
                  _eq: x-hasura-user-id
      allow_aggregations: true
  - role: _staff
    permission:
      columns:
        - description
        - status
        - title
        - created_at
        - assignee_id
        - check_id
        - created_by
        - ctf_challenge_id
        - event_id
        - id
        - team_id
      filter: {}
      allow_aggregations: true
    comment: ""
update_permissions:
  - role: _participant
    permission:
      columns:
        - assignee_id
        - description
        - status
        - title
      filter:
        _and:
          - event:
              teams:
                team:
                  members:
                    user_id:
                      _eq: x-hasura-user-id
          - team:
              members:
                user_id:
                  _eq: x-hasura-user-id
      check: null
  - role: _staff
    permission:
      columns:
        - description
        - status
        - title
        - created_at
        - assignee_id
        - check_id
        - created_by
        - ctf_challenge_id
        - event_id
        - id
        - team_id
      filter: {}
      check: {}
    comment: ""
delete_permissions:
  - role: _participant
    permission:
      filter:
        _and:
          - event:
              teams:
                team:
                  members:
                    user_id:
                      _eq: x-hasura-user-id
          - team:
              members:
                user_id:
                  _eq: x-hasura-user-id
  - role: _staff
    permission:
      filter: {}
    comment: ""
